OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.FramebufferMixedSamples

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVFramebufferMixedSamples :: MonadIO m => m Bool
- gl_NV_framebuffer_mixed_samples :: Bool
- gl_COLOR_SAMPLES_NV :: GLenum
- gl_COVERAGE_MODULATION_NV :: GLenum
- gl_COVERAGE_MODULATION_TABLE_NV :: GLenum
- gl_COVERAGE_MODULATION_TABLE_SIZE_NV :: GLenum
- gl_DEPTH_SAMPLES_NV :: GLenum
- gl_EFFECTIVE_RASTER_SAMPLES_EXT :: GLenum
- gl_MAX_RASTER_SAMPLES_EXT :: GLenum
- gl_MIXED_DEPTH_SAMPLES_SUPPORTED_NV :: GLenum
- gl_MIXED_STENCIL_SAMPLES_SUPPORTED_NV :: GLenum
- gl_MULTISAMPLE_RASTERIZATION_ALLOWED_EXT :: GLenum
- gl_RASTER_FIXED_SAMPLE_LOCATIONS_EXT :: GLenum
- gl_RASTER_MULTISAMPLE_EXT :: GLenum
- gl_RASTER_SAMPLES_EXT :: GLenum
- gl_STENCIL_SAMPLES_NV :: GLenum
- glCoverageModulationNV :: MonadIO m => GLenum -> m ()
- glCoverageModulationTableNV :: MonadIO m => GLsizei -> Ptr GLfloat -> m ()
- glGetCoverageModulationTableNV :: MonadIO m => GLsizei -> Ptr GLfloat -> m ()
- glRasterSamplesEXT :: MonadIO m => GLuint -> GLboolean -> m ()

# Extension Support

glGetNVFramebufferMixedSamples :: MonadIO m => m Bool

Is the NV_framebuffer_mixed_samples extension supported?

gl_NV_framebuffer_mixed_samples :: Bool

Is the NV_framebuffer_mixed_samples extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVFramebufferMixedSamples` in those cases instead.

# Enums

gl_COLOR_SAMPLES_NV :: GLenum

gl_COVERAGE_MODULATION_NV :: GLenum

gl_COVERAGE_MODULATION_TABLE_NV :: GLenum

gl_COVERAGE_MODULATION_TABLE_SIZE_NV :: GLenum

gl_DEPTH_SAMPLES_NV :: GLenum

gl_EFFECTIVE_RASTER_SAMPLES_EXT :: GLenum

gl_MAX_RASTER_SAMPLES_EXT :: GLenum

gl_MIXED_DEPTH_SAMPLES_SUPPORTED_NV :: GLenum

gl_MIXED_STENCIL_SAMPLES_SUPPORTED_NV :: GLenum

gl_MULTISAMPLE_RASTERIZATION_ALLOWED_EXT :: GLenum

gl_RASTER_FIXED_SAMPLE_LOCATIONS_EXT :: GLenum

gl_RASTER_MULTISAMPLE_EXT :: GLenum

gl_RASTER_SAMPLES_EXT :: GLenum

gl_STENCIL_SAMPLES_NV :: GLenum

# Functions

glCoverageModulationNV

Arguments

:: MonadIO m |
=> GLenum | `components`.
-> m () |

glCoverageModulationTableNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLfloat | `v`.
-> m () |

glGetCoverageModulationTableNV

Arguments

:: MonadIO m |
=> GLsizei | `bufsize`.
-> Ptr GLfloat | `v`.
-> m () |

glRasterSamplesEXT

Arguments

:: MonadIO m |
=> GLuint | `samples`.
-> GLboolean | `fixedsamplelocations`.
-> m () |